package cicaprojekt;

import java.io.File;
import java.io.IOException;
import java.util.Map;
import java.util.Random;

public class Game {
    private Player oneill;
    private Player jaffa;

    private PlayerBase replicator;

    private Dungeon dungeon;
    private Random random;
    private FlowOfTime flowoftime;

    private Display display;
    
    public Game() {
        dungeon = new Dungeon();
        random = new Random();
        flowoftime = new FlowOfTime();
        display = new Display();
    }

    public void allZPMsCollected(GameoverCause cause) {
        this.stopGame(cause);
    }

    public void startGame(File dungeonFile) throws IOException {
        Stargate.init();

        Map<String, Tile> players = dungeon.buildDungeon(dungeonFile);
        oneill = new Player("O'Neill", players.get("oneill"), getRandomDirection());
        jaffa = new Player("Jaffa", players.get("jaffa"), getRandomDirection());
        replicator = new PlayerBase("Replicator", players.get("replicator"), getRandomDirection());

        flowoftime.start(420*420);
    }

    private Direction getRandomDirection() {
        return Direction.values()[random.nextInt(Direction.values().length)];
    }

    public void stopGame(GameoverCause cause) {
    }

    public void moveONeill(Direction direction) {
        oneill.move(direction);
    }

    public void moveJaffa(Direction direction) {
        jaffa.move(direction);
    }

    public void boxONeill() {

    }

    public void boxJaffa() {

    }

    public void updateDisplay() {
    }
}
