package cicaprojekt;

import java.io.IOException;

public class GapDrawer extends ImagePanel implements Drawer{

    private Gap gap;
    
    public GapDrawer(Gap g) throws IOException {
        super("Gap.png");
        gap = g; 
        setVisible(false);
    }

    @Override
    public void draw() {
        setVisible(true);   
    }
    
    @Override
    public int getX() {
        return gap.getX();
    }
    
    @Override
    public int getY() {
        return gap.getY();
    }

}
